Merge remote-tracking branch 'origin/master' into graphic
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/io
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__uninstall_files_from_dir = { \
108   test -z "$$files" \
109     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
110     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
111          $(am__cd) "$$dir" && rm -f $$files; }; \
112   }
113 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
114         "$(DESTDIR)$(libsciio_la_etcdir)" \
115         "$(DESTDIR)$(libsciio_la_rootdir)" \
116         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
117 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
118 libsciio_algo_la_LIBADD =
119 am__objects_1 = libsciio_algo_la-getpidc.lo \
120         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
121         libsciio_algo_la-getenvc.lo libsciio_algo_la-GetenvB.lo \
122         libsciio_algo_la-v2cuniterror.lo
123 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
124 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
125 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
126 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
127 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
128 libsciio_la_DEPENDENCIES = libsciio-algo.la
129 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
130         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
131         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
132         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
133         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
134         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
135         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
136         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
137 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
138         intread.lo intreadb.lo intfile.lo
139 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
140 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
141 libsciio_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
142         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
143         $(libsciio_la_LDFLAGS) $(LDFLAGS) -o $@
144 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
145 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
146 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
147 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
148 am__depfiles_maybe = depfiles
149 am__mv = mv -f
150 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
151         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
152 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
153         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
154         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
155 CCLD = $(CC)
156 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
157         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
158         $(LDFLAGS) -o $@
159 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
160 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
162 F77LD = $(F77)
163 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
167 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
168 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
169         $(libsciio_la_sci_gateway_DATA)
170 ETAGS = etags
171 CTAGS = ctags
172 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
173 ACLOCAL = @ACLOCAL@
174 ALL_LINGUAS = @ALL_LINGUAS@
175 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
176 AMTAR = @AMTAR@
177 ANT = @ANT@
178 ANTLR = @ANTLR@
179 AR = @AR@
180 ARPACK_LIBS = @ARPACK_LIBS@
181 AUTOCONF = @AUTOCONF@
182 AUTOHEADER = @AUTOHEADER@
183 AUTOMAKE = @AUTOMAKE@
184 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
185 AWK = @AWK@
186 BATIK = @BATIK@
187 BLAS_LIBS = @BLAS_LIBS@
188 BSH = @BSH@
189 CC = @CC@
190 CCACHE = @CCACHE@
191 CCDEPMODE = @CCDEPMODE@
192 CFLAGS = @CFLAGS@
193 CHECKSTYLE = @CHECKSTYLE@
194 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
195 COMMONS_IO = @COMMONS_IO@
196 COMMONS_LOGGING = @COMMONS_LOGGING@
197 CPP = @CPP@
198 CPPFLAGS = @CPPFLAGS@
199 CXX = @CXX@
200 CXXCPP = @CXXCPP@
201 CXXDEPMODE = @CXXDEPMODE@
202 CXXFLAGS = @CXXFLAGS@
203 CYGPATH_W = @CYGPATH_W@
204 DEFS = @DEFS@
205 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
206 DEPDIR = @DEPDIR@
207 DOCBOOK_ROOT = @DOCBOOK_ROOT@
208 DSYMUTIL = @DSYMUTIL@
209 DUMPBIN = @DUMPBIN@
210 ECHO_C = @ECHO_C@
211 ECHO_N = @ECHO_N@
212 ECHO_T = @ECHO_T@
213 EGREP = @EGREP@
214 EXEEXT = @EXEEXT@
215 F77 = @F77@
216 FFLAGS = @FFLAGS@
217 FFTW3_LIB = @FFTW3_LIB@
218 FFTW_ENABLE = @FFTW_ENABLE@
219 FGREP = @FGREP@
220 FLEXDOCK = @FLEXDOCK@
221 FLIBS = @FLIBS@
222 FOP = @FOP@
223 GENHTML = @GENHTML@
224 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
225 GIWS_BIN = @GIWS_BIN@
226 GLUEGEN_RT = @GLUEGEN_RT@
227 GMSGFMT = @GMSGFMT@
228 GMSGFMT_015 = @GMSGFMT_015@
229 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
230 GREP = @GREP@
231 GUI_ENABLE = @GUI_ENABLE@
232 HDF5_CFLAGS = @HDF5_CFLAGS@
233 HDF5_ENABLE = @HDF5_ENABLE@
234 HDF5_LIBS = @HDF5_LIBS@
235 HELP_ENABLE = @HELP_ENABLE@
236 INSTALL = @INSTALL@
237 INSTALL_DATA = @INSTALL_DATA@
238 INSTALL_PROGRAM = @INSTALL_PROGRAM@
239 INSTALL_SCRIPT = @INSTALL_SCRIPT@
240 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
241 INTLLIBS = @INTLLIBS@
242 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
243 JAR = @JAR@
244 JAVA = @JAVA@
245 JAVAC = @JAVAC@
246 JAVAC_DEBUG = @JAVAC_DEBUG@
247 JAVADOC = @JAVADOC@
248 JAVAH = @JAVAH@
249 JAVASCI_ENABLE = @JAVASCI_ENABLE@
250 JAVA_ENABLE = @JAVA_ENABLE@
251 JAVA_G = @JAVA_G@
252 JAVA_HOME = @JAVA_HOME@
253 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
254 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
255 JCOMMANDER = @JCOMMANDER@
256 JDB = @JDB@
257 JEUCLID_CORE = @JEUCLID_CORE@
258 JGRAPHX = @JGRAPHX@
259 JHALL = @JHALL@
260 JHDF5 = @JHDF5@
261 JLATEXMATH = @JLATEXMATH@
262 JLATEXMATH_FOP = @JLATEXMATH_FOP@
263 JOGL = @JOGL@
264 JROSETTA_API = @JROSETTA_API@
265 JROSETTA_ENGINE = @JROSETTA_ENGINE@
266 JUNIT = @JUNIT@
267 LAPACK_LIBS = @LAPACK_LIBS@
268 LCOV = @LCOV@
269 LD = @LD@
270 LDFLAGS = @LDFLAGS@
271 LIBICONV = @LIBICONV@
272 LIBINTL = @LIBINTL@
273 LIBM = @LIBM@
274 LIBOBJS = @LIBOBJS@
275 LIBS = @LIBS@
276 LIBTOOL = @LIBTOOL@
277 LIPO = @LIPO@
278 LN_S = @LN_S@
279 LOGGING_LEVEL = @LOGGING_LEVEL@
280 LOOKS = @LOOKS@
281 LTLIBICONV = @LTLIBICONV@
282 LTLIBINTL = @LTLIBINTL@
283 LTLIBOBJS = @LTLIBOBJS@
284 MAINT = @MAINT@
285 MAKEINFO = @MAKEINFO@
286 MATIO_CFLAGS = @MATIO_CFLAGS@
287 MATIO_ENABLE = @MATIO_ENABLE@
288 MATIO_LIBS = @MATIO_LIBS@
289 MKDIR_P = @MKDIR_P@
290 MSGCAT = @MSGCAT@
291 MSGFMT = @MSGFMT@
292 MSGFMT_015 = @MSGFMT_015@
293 MSGMERGE = @MSGMERGE@
294 NM = @NM@
295 NMEDIT = @NMEDIT@
296 OBJDUMP = @OBJDUMP@
297 OBJEXT = @OBJEXT@
298 OCAMLC = @OCAMLC@
299 OCAMLDEP = @OCAMLDEP@
300 OCAMLLEX = @OCAMLLEX@
301 OCAMLOPT = @OCAMLOPT@
302 OCAMLYACC = @OCAMLYACC@
303 OPENMP_CFLAGS = @OPENMP_CFLAGS@
304 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
305 OPENMP_ENABLE = @OPENMP_ENABLE@
306 OPENMP_LIBS = @OPENMP_LIBS@
307 OTOOL = @OTOOL@
308 OTOOL64 = @OTOOL64@
309 PACKAGE = @PACKAGE@
310 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
311 PACKAGE_NAME = @PACKAGE_NAME@
312 PACKAGE_STRING = @PACKAGE_STRING@
313 PACKAGE_TARNAME = @PACKAGE_TARNAME@
314 PACKAGE_URL = @PACKAGE_URL@
315 PACKAGE_VERSION = @PACKAGE_VERSION@
316 PATH_SEPARATOR = @PATH_SEPARATOR@
317 PCRE_CFLAGS = @PCRE_CFLAGS@
318 PCRE_CONFIG = @PCRE_CONFIG@
319 PCRE_LIBS = @PCRE_LIBS@
320 PCRE_VERSION = @PCRE_VERSION@
321 PKG_CONFIG = @PKG_CONFIG@
322 POSUB = @POSUB@
323 POW_LIB = @POW_LIB@
324 PYTHON = @PYTHON@
325 QDOX = @QDOX@
326 RANLIB = @RANLIB@
327 RELOCATABLE = @RELOCATABLE@
328 RT_LIB = @RT_LIB@
329 SAXON = @SAXON@
330 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
331 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
332 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
333 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
334 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
335 SCIRENDERER = @SCIRENDERER@
336 SED = @SED@
337 SET_MAKE = @SET_MAKE@
338 SET_RELOCATABLE = @SET_RELOCATABLE@
339 SHELL = @SHELL@
340 SKINLF = @SKINLF@
341 SPLINT = @SPLINT@
342 STRIP = @STRIP@
343 SWIG_BIN = @SWIG_BIN@
344 SWIG_JAVA = @SWIG_JAVA@
345 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
346 TCLTK_LIBS = @TCLTK_LIBS@
347 TCL_INC_PATH = @TCL_INC_PATH@
348 TESTNG = @TESTNG@
349 TK_INC_PATH = @TK_INC_PATH@
350 UMFPACK_ENABLE = @UMFPACK_ENABLE@
351 UMFPACK_LIB = @UMFPACK_LIB@
352 USE_NLS = @USE_NLS@
353 VERSION = @VERSION@
354 WITH_OCAML = @WITH_OCAML@
355 WITH_TKSCI = @WITH_TKSCI@
356 XCOS_ENABLE = @XCOS_ENABLE@
357 XGETTEXT = @XGETTEXT@
358 XGETTEXT_015 = @XGETTEXT_015@
359 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
360 XMKMF = @XMKMF@
361 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
362 XML_APIS_EXT = @XML_APIS_EXT@
363 XML_CONFIG = @XML_CONFIG@
364 XML_FLAGS = @XML_FLAGS@
365 XML_LIBS = @XML_LIBS@
366 XML_VERSION = @XML_VERSION@
367 X_CFLAGS = @X_CFLAGS@
368 X_EXTRA_LIBS = @X_EXTRA_LIBS@
369 X_LIBS = @X_LIBS@
370 X_PRE_LIBS = @X_PRE_LIBS@
371 abs_builddir = @abs_builddir@
372 abs_srcdir = @abs_srcdir@
373 abs_top_builddir = @abs_top_builddir@
374 abs_top_srcdir = @abs_top_srcdir@
375 ac_ct_CC = @ac_ct_CC@
376 ac_ct_CXX = @ac_ct_CXX@
377 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
378 ac_ct_F77 = @ac_ct_F77@
379 am__include = @am__include@
380 am__leading_dot = @am__leading_dot@
381 am__quote = @am__quote@
382 am__tar = @am__tar@
383 am__untar = @am__untar@
384 bindir = @bindir@
385 build = @build@
386 build_alias = @build_alias@
387 build_cpu = @build_cpu@
388 build_os = @build_os@
389 build_vendor = @build_vendor@
390 builddir = @builddir@
391 cxx_present = @cxx_present@
392 datadir = @datadir@
393 datarootdir = @datarootdir@
394 docdir = @docdir@
395 dvidir = @dvidir@
396 exec_prefix = @exec_prefix@
397 host = @host@
398 host_alias = @host_alias@
399 host_cpu = @host_cpu@
400 host_os = @host_os@
401 host_vendor = @host_vendor@
402 htmldir = @htmldir@
403 includedir = @includedir@
404 infodir = @infodir@
405 install_sh = @install_sh@
406 libdir = @libdir@
407 libexecdir = @libexecdir@
408 localedir = @localedir@
409 localstatedir = @localstatedir@
410 mandir = @mandir@
411 mkdir_p = @mkdir_p@
412 oldincludedir = @oldincludedir@
413 pdfdir = @pdfdir@
414 prefix = @prefix@
415 program_transform_name = @program_transform_name@
416 psdir = @psdir@
417 sbindir = @sbindir@
418 sharedstatedir = @sharedstatedir@
419 srcdir = @srcdir@
420 sysconfdir = @sysconfdir@
421 target_alias = @target_alias@
422 top_build_prefix = @top_build_prefix@
423 top_builddir = @top_builddir@
424 top_srcdir = @top_srcdir@
425 IO_C_SOURCES = src/c/getpidc.c \
426 src/c/setenvc.c \
427 src/c/systemc.c \
428 src/c/getenvc.c \
429 src/c/GetenvB.c \
430 src/c/v2cuniterror.c
431
432 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
433 src/fortran/newsave.f \
434 src/fortran/v2cunit.f
435
436 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
437 sci_gateway/c/sci_getio.c \
438 sci_gateway/c/sci_readb.c \
439 sci_gateway/c/sci_host.c \
440 sci_gateway/c/sci_file.c \
441 sci_gateway/c/sci_getenv.c \
442 sci_gateway/c/sci_write.c \
443 sci_gateway/c/sci_writeb.c \
444 sci_gateway/c/sci_setenv.c \
445 sci_gateway/c/gw_io.c \
446 sci_gateway/c/sci_read.c \
447 sci_gateway/c/sci_getpid.c \
448 sci_gateway/c/sci_write4b.c \
449 sci_gateway/c/sci_load.c \
450 sci_gateway/c/sci_unix.c \
451 sci_gateway/c/sci_save.c
452
453 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
454 sci_gateway/fortran/intwritb.f \
455 sci_gateway/fortran/intwrite.f \
456 sci_gateway/fortran/intread4b.f \
457 sci_gateway/fortran/intread.f \
458 sci_gateway/fortran/intreadb.f \
459 sci_gateway/fortran/intfile.f
460
461 libsciio_la_CFLAGS = -I$(srcdir)/includes/ \
462                         -I$(srcdir)/src/c/ \
463                         -I$(top_srcdir)/libs/MALLOC/includes/ \
464                         -I$(top_srcdir)/modules/fileio/includes/ \
465                         -I$(top_srcdir)/modules/api_scilab/includes/ \
466                         -I$(top_srcdir)/modules/output_stream/includes/
467
468 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
469                         -I$(top_srcdir)/modules/core/includes/ \
470                         -I$(top_srcdir)/modules/api_scilab/includes \
471                         -I$(top_srcdir)/modules/output_stream/includes/
472
473 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
474 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
475 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
476 libsciio_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
477 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
478 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
479 libsciio_algo_la_CFLAGS = $(libsciio_la_CFLAGS)
480
481 # For the code check (splint)
482 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
483 INCLUDE_FLAGS = $(libsciio_la_CFLAGS)
484 libsciio_la_LIBADD = libsciio-algo.la
485
486 #### Target ######
487 modulename = io
488
489 #### io : Conf files ####
490 libsciio_la_rootdir = $(mydatadir)
491 libsciio_la_root_DATA = license.txt 
492
493 ####io : init scripts ####
494 libsciio_la_etcdir = $(mydatadir)/etc
495 libsciio_la_etc_DATA = etc/io.quit etc/io.start
496
497 ####io : gateway declaration ####
498 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
499 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
500
501 # Where all the Scilab stuff is installed (macros, help, ...)
502 mydatadir = $(pkgdatadir)/modules/$(modulename)
503
504 # splint options
505 SPLINT_OPTIONS = -weak -booltype BOOL
506
507 ########################### JAVA ######################################
508 #### We are delegating java compilation to ant... Thanks to that
509 #### the procedure will be the same with Microsoft Windows (C)
510 #### and Linux/Unix
511 #######################################################################
512 TARGETS_ALL = $(am__append_1)
513
514 ################ MACROS ######################
515 # Rule to build a macro
516 # NOT USED  AT THE MOMENT
517 SUFFIXES = .sci 
518
519 ########### INSTALL DOCUMENTATION ###################
520
521 # Install documentation files into the right target
522 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
523 # automake needs the html files to be present which is not the case when
524 # we are building Scilab
525
526 # Where it should be installed
527 pkgdocdir = $(mydatadir)
528
529 # What is the mask of the help source
530 DOCMASKXML = *.xml
531
532 # What is the mask of the MathML sources
533 DOCMASKMML = *.mml
534
535 ########### INSTALL DATA ###################
536 # Install macros, help & demos
537 # Where it should be installed
538 pkgmacrosdir = $(mydatadir)
539 # Which directory we process
540 MACRODIRS = macros/
541 # Mask of the Scilab sources macros
542 MACROMASK = *.sci
543 # Mask of the Scilab executable sources macros
544 MACROBUILDMASK = *.sce
545 # Mask of the Scilab compiled macros
546 MACROBINMASK = *.bin
547 # List of the standard directory for tests
548 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
549 # Where the demos should be installed
550 pkgdemosdir = $(mydatadir)
551 # List of the standard directory for demos
552 DEMOS_DIR = demos
553 # List of the standard directory for examples
554 EXAMPLES_DIR = examples
555 # Where to export JAVA archives (.jar)
556 JARDIR = jar/
557 # JAR files mask
558 JARMASK = *.jar
559 # Chapter file 
560 HELP_CHAPTERDIR = help/
561 HELP_CHAPTERFILE = addchapter.sce
562 HELP_CHAPTERLANG = en_US fr_FR pt_BR
563 all: all-am
564
565 .SUFFIXES:
566 .SUFFIXES: .sci .bin .c .f .lo .o .obj
567 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
568         @for dep in $?; do \
569           case '$(am__configure_deps)' in \
570             *$$dep*) \
571               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
572                 && { if test -f $@; then exit 0; else break; fi; }; \
573               exit 1;; \
574           esac; \
575         done; \
576         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
577         $(am__cd) $(top_srcdir) && \
578           $(AUTOMAKE) --foreign modules/io/Makefile
579 .PRECIOUS: Makefile
580 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
581         @case '$?' in \
582           *config.status*) \
583             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
584           *) \
585             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
586             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
587         esac;
588 $(top_srcdir)/Makefile.incl.am:
589
590 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
591         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592
593 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
596         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597 $(am__aclocal_m4_deps):
598
599 clean-noinstLTLIBRARIES:
600         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
601         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
602           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
603           test "$$dir" != "$$p" || dir=.; \
604           echo "rm -f \"$${dir}/so_locations\""; \
605           rm -f "$${dir}/so_locations"; \
606         done
607 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
608         @$(NORMAL_INSTALL)
609         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
610         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
611         list2=; for p in $$list; do \
612           if test -f $$p; then \
613             list2="$$list2 $$p"; \
614           else :; fi; \
615         done; \
616         test -z "$$list2" || { \
617           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
618           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
619         }
620
621 uninstall-pkglibLTLIBRARIES:
622         @$(NORMAL_UNINSTALL)
623         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
624         for p in $$list; do \
625           $(am__strip_dir) \
626           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
627           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
628         done
629
630 clean-pkglibLTLIBRARIES:
631         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
632         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
633           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
634           test "$$dir" != "$$p" || dir=.; \
635           echo "rm -f \"$${dir}/so_locations\""; \
636           rm -f "$${dir}/so_locations"; \
637         done
638 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) $(EXTRA_libsciio_algo_la_DEPENDENCIES) 
639         $(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
640 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) $(EXTRA_libsciio_la_DEPENDENCIES) 
641         $(libsciio_la_LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
642
643 mostlyclean-compile:
644         -rm -f *.$(OBJEXT)
645
646 distclean-compile:
647         -rm -f *.tab.c
648
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-GetenvB.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
671
672 .c.o:
673 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
674 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
678
679 .c.obj:
680 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
681 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
685
686 .c.lo:
687 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
688 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
692
693 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
694 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
695 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
699
700 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
701 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
702 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
706
707 libsciio_algo_la-systemc.lo: src/c/systemc.c
708 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
709 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
713
714 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
715 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
716 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
720
721 libsciio_algo_la-GetenvB.lo: src/c/GetenvB.c
722 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-GetenvB.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
723 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo $(DEPDIR)/libsciio_algo_la-GetenvB.Plo
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GetenvB.c' object='libsciio_algo_la-GetenvB.lo' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
727
728 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
729 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
734
735 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
736 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
737 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
741
742 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
743 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
744 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
748
749 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
750 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
751 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
755
756 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
757 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
758 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
762
763 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
764 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
765 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
769
770 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
771 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
772 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
776
777 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
778 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
779 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
783
784 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
785 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
786 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
790
791 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
792 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
793 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
797
798 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
799 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
800 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
804
805 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
806 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
807 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
811
812 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
813 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
814 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
818
819 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
820 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
821 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
825
826 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
827 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
828 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
832
833 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
834 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
835 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
839
840 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
841 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
842 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
846
847 .f.o:
848         $(F77COMPILE) -c -o $@ $<
849
850 .f.obj:
851         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
852
853 .f.lo:
854         $(LTF77COMPILE) -c -o $@ $<
855
856 v2unit.lo: src/fortran/v2unit.f
857         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
858
859 newsave.lo: src/fortran/newsave.f
860         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
861
862 v2cunit.lo: src/fortran/v2cunit.f
863         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
864
865 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
866         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
867
868 intwritb.lo: sci_gateway/fortran/intwritb.f
869         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
870
871 intwrite.lo: sci_gateway/fortran/intwrite.f
872         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
873
874 intread4b.lo: sci_gateway/fortran/intread4b.f
875         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
876
877 intread.lo: sci_gateway/fortran/intread.f
878         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
879
880 intreadb.lo: sci_gateway/fortran/intreadb.f
881         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
882
883 intfile.lo: sci_gateway/fortran/intfile.f
884         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
885
886 mostlyclean-libtool:
887         -rm -f *.lo
888
889 clean-libtool:
890         -rm -rf .libs _libs
891 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
892         @$(NORMAL_INSTALL)
893         test -z "$(libsciio_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)"
894         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
895         for p in $$list; do \
896           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
897           echo "$$d$$p"; \
898         done | $(am__base_list) | \
899         while read files; do \
900           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
901           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
902         done
903
904 uninstall-libsciio_la_etcDATA:
905         @$(NORMAL_UNINSTALL)
906         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
907         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
908         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
909 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
910         @$(NORMAL_INSTALL)
911         test -z "$(libsciio_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)"
912         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
913         for p in $$list; do \
914           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
915           echo "$$d$$p"; \
916         done | $(am__base_list) | \
917         while read files; do \
918           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
919           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
920         done
921
922 uninstall-libsciio_la_rootDATA:
923         @$(NORMAL_UNINSTALL)
924         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
925         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
926         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
927 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
928         @$(NORMAL_INSTALL)
929         test -z "$(libsciio_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
930         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
931         for p in $$list; do \
932           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
933           echo "$$d$$p"; \
934         done | $(am__base_list) | \
935         while read files; do \
936           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
937           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
938         done
939
940 uninstall-libsciio_la_sci_gatewayDATA:
941         @$(NORMAL_UNINSTALL)
942         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
943         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
944         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
945
946 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
947         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
948         unique=`for i in $$list; do \
949             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
950           done | \
951           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
952               END { if (nonempty) { for (i in files) print i; }; }'`; \
953         mkid -fID $$unique
954 tags: TAGS
955
956 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
957                 $(TAGS_FILES) $(LISP)
958         set x; \
959         here=`pwd`; \
960         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
961         unique=`for i in $$list; do \
962             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
963           done | \
964           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
965               END { if (nonempty) { for (i in files) print i; }; }'`; \
966         shift; \
967         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
968           test -n "$$unique" || unique=$$empty_fix; \
969           if test $$# -gt 0; then \
970             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
971               "$$@" $$unique; \
972           else \
973             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
974               $$unique; \
975           fi; \
976         fi
977 ctags: CTAGS
978 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
979                 $(TAGS_FILES) $(LISP)
980         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
981         unique=`for i in $$list; do \
982             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
983           done | \
984           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
985               END { if (nonempty) { for (i in files) print i; }; }'`; \
986         test -z "$(CTAGS_ARGS)$$unique" \
987           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
988              $$unique
989
990 GTAGS:
991         here=`$(am__cd) $(top_builddir) && pwd` \
992           && $(am__cd) $(top_srcdir) \
993           && gtags -i $(GTAGS_ARGS) "$$here"
994
995 distclean-tags:
996         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
997
998 distdir: $(DISTFILES)
999         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1000         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1001         list='$(DISTFILES)'; \
1002           dist_files=`for file in $$list; do echo $$file; done | \
1003           sed -e "s|^$$srcdirstrip/||;t" \
1004               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1005         case $$dist_files in \
1006           */*) $(MKDIR_P) `echo "$$dist_files" | \
1007                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1008                            sort -u` ;; \
1009         esac; \
1010         for file in $$dist_files; do \
1011           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1012           if test -d $$d/$$file; then \
1013             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1014             if test -d "$(distdir)/$$file"; then \
1015               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1016             fi; \
1017             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1018               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1019               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1020             fi; \
1021             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1022           else \
1023             test -f "$(distdir)/$$file" \
1024             || cp -p $$d/$$file "$(distdir)/$$file" \
1025             || exit 1; \
1026           fi; \
1027         done
1028 check-am: all-am
1029         $(MAKE) $(AM_MAKEFLAGS) check-local
1030 check: check-am
1031 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1032 installdirs:
1033         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1034           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1035         done
1036 install: install-am
1037 install-exec: install-exec-am
1038 install-data: install-data-am
1039 uninstall: uninstall-am
1040
1041 install-am: all-am
1042         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1043
1044 installcheck: installcheck-am
1045 install-strip:
1046         if test -z '$(STRIP)'; then \
1047           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1048             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1049               install; \
1050         else \
1051           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1052             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1053             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1054         fi
1055 mostlyclean-generic:
1056
1057 clean-generic:
1058
1059 distclean-generic:
1060         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1061         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1062
1063 maintainer-clean-generic:
1064         @echo "This command is intended for maintainers to use"
1065         @echo "it deletes files that may require special tools to rebuild."
1066 clean: clean-am
1067
1068 clean-am: clean-generic clean-libtool clean-local \
1069         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1070
1071 distclean: distclean-am
1072         -rm -rf ./$(DEPDIR)
1073         -rm -f Makefile
1074 distclean-am: clean-am distclean-compile distclean-generic \
1075         distclean-local distclean-tags
1076
1077 dvi: dvi-am
1078
1079 dvi-am:
1080
1081 html: html-am
1082
1083 html-am:
1084
1085 info: info-am
1086
1087 info-am:
1088
1089 install-data-am: install-data-local install-libsciio_la_etcDATA \
1090         install-libsciio_la_rootDATA \
1091         install-libsciio_la_sci_gatewayDATA
1092
1093 install-dvi: install-dvi-am
1094
1095 install-dvi-am:
1096
1097 install-exec-am: install-pkglibLTLIBRARIES
1098
1099 install-html: install-html-am
1100
1101 install-html-am: install-html-local
1102
1103 install-info: install-info-am
1104
1105 install-info-am:
1106
1107 install-man:
1108
1109 install-pdf: install-pdf-am
1110
1111 install-pdf-am:
1112
1113 install-ps: install-ps-am
1114
1115 install-ps-am:
1116
1117 installcheck-am:
1118
1119 maintainer-clean: maintainer-clean-am
1120         -rm -rf ./$(DEPDIR)
1121         -rm -f Makefile
1122 maintainer-clean-am: distclean-am maintainer-clean-generic
1123
1124 mostlyclean: mostlyclean-am
1125
1126 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1127         mostlyclean-libtool
1128
1129 pdf: pdf-am
1130
1131 pdf-am:
1132
1133 ps: ps-am
1134
1135 ps-am:
1136
1137 uninstall-am: uninstall-libsciio_la_etcDATA \
1138         uninstall-libsciio_la_rootDATA \
1139         uninstall-libsciio_la_sci_gatewayDATA \
1140         uninstall-pkglibLTLIBRARIES
1141
1142 .MAKE: check-am install-am install-strip
1143
1144 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1145         clean clean-generic clean-libtool clean-local \
1146         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1147         distclean distclean-compile distclean-generic \
1148         distclean-libtool distclean-local distclean-tags distdir dvi \
1149         dvi-am html html-am info info-am install install-am \
1150         install-data install-data-am install-data-local install-dvi \
1151         install-dvi-am install-exec install-exec-am install-html \
1152         install-html-am install-html-local install-info \
1153         install-info-am install-libsciio_la_etcDATA \
1154         install-libsciio_la_rootDATA \
1155         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1156         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1157         install-ps-am install-strip installcheck installcheck-am \
1158         installdirs maintainer-clean maintainer-clean-generic \
1159         mostlyclean mostlyclean-compile mostlyclean-generic \
1160         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1161         uninstall-am uninstall-libsciio_la_etcDATA \
1162         uninstall-libsciio_la_rootDATA \
1163         uninstall-libsciio_la_sci_gatewayDATA \
1164         uninstall-pkglibLTLIBRARIES
1165
1166
1167 # This target enables tests for Scilab
1168 check-local: $(top_builddir)/scilab-bin test
1169         if test -d $(mydatadir)/tests; then \
1170           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1171         fi
1172 check-code:
1173         if test -f build.xml; then \
1174                 $(ANT) checkstyle; \
1175         fi
1176         if test -x "$(SPLINT)"; then \
1177                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1178         fi
1179 @NEED_JAVA_TRUE@java:
1180 # Some configurations needs to export JAVA_HOME in the current env
1181 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1182 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1183 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1184 @NEED_JAVA_TRUE@                $(ANT); \
1185 @NEED_JAVA_TRUE@        fi
1186
1187 @NEED_JAVA_TRUE@clean-java:
1188 # Some configurations needs to export JAVA_HOME in the current env
1189 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1190 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1191 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1192 @NEED_JAVA_TRUE@                $(ANT) clean; \
1193 @NEED_JAVA_TRUE@        fi;
1194
1195 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1196 # We call the target swig-build on the variable SWIG_WRAPPERS
1197
1198 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1199 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1200 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1201 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1202 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1203 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1204 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1205 @SWIG_TRUE@             done; \
1206 @SWIG_TRUE@     fi
1207
1208 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1209 # We call the target swig-build on the variable SWIG_WRAPPERS
1210
1211 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1212 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1213 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1214 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1215 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1216 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1217 @GIWS_TRUE@             done; \
1218 @GIWS_TRUE@     fi
1219
1220 @GIWS_TRUE@giws-exception:
1221 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1222 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1223 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1224
1225 macros:
1226         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1227                 echo "Error : Cannot build $< : Scilab has not been built"; \
1228         else \
1229                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1230         fi)
1231
1232 # Removes the macros
1233 clean-macros:
1234 # Removes macros (*.bin generated from .sci)
1235         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1236                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1237                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1238         done
1239
1240 test:
1241 # More tests could be added here
1242         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1243         if test -f build.xml -a $$USEANT -eq 1; then \
1244                 $(ANT) test; \
1245         fi
1246
1247 all-local: $(TARGETS_ALL)
1248
1249 .sci.bin:
1250         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1251         echo "Error : Cannot build $< : Scilab has not been build"; \
1252         else \
1253         echo "Creating $@"; \
1254         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1255         fi )
1256
1257 install-html-local:
1258
1259 install-data-local-local:
1260 # Mainly for javasci
1261         @if test -d $(srcdir)/javadoc; then \
1262                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1263         fi
1264 # If the user wants the help sources to be installed
1265 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1266 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1267 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1268 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1269 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1270 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1271 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1272 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1273 @INSTALL_HELP_XML_TRUE@           done ; \
1274 @INSTALL_HELP_XML_TRUE@         fi; \
1275 @INSTALL_HELP_XML_TRUE@  fi; \
1276 @INSTALL_HELP_XML_TRUE@ done; \
1277 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1278 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1279 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1280 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1281 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1282 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1283 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1284 @INSTALL_HELP_XML_TRUE@           done ; \
1285 @INSTALL_HELP_XML_TRUE@         fi; \
1286 @INSTALL_HELP_XML_TRUE@ fi
1287 install-data-local:
1288 # Install the tests
1289         @echo "-------- Install tests (if any) --------"; \
1290         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1291           if test -d $(srcdir)/$$dir/; then \
1292             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1293                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1294                     if test -d "$(srcdir)/$$dir/$$file"; then \
1295                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1296                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1297                     else \
1298                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1299                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1300                     fi \
1301                   done; \
1302           fi; \
1303         done
1304 # Install the help chapter
1305         @echo "-------- Install the help chapter (if any) --------"; \
1306         for lang in $(HELP_CHAPTERLANG); do \
1307                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1308                 if test -f $$HELPFILE; then \
1309                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1310                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1311                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1312                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1313                 fi; \
1314         done
1315 # Install the demos & examples
1316         @echo "-------- Install demos & examples (if any) --------"; \
1317         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1318           if test -d $(srcdir)/$$dir/; then \
1319             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1320                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1321                     if test -d "$(srcdir)/$$dir/$$file"; then \
1322                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1323                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1324                     else \
1325                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1326                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1327                     fi \
1328                   done; \
1329           fi; \
1330         done
1331 # Install the macros
1332         @echo "-------- Install macros (if any) --------"; \
1333         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1334           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1335                 if test -d $(srcdir)/$$dir/; then \
1336                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1337                         if test -n "$(MACROSSPECIALEXT)"; then \
1338                                 specialExtDir=""; \
1339                                 for specialExt in $(MACROSSPECIALEXT); do \
1340                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1341                                 done; \
1342                                 FILELIST="$$FILELIST $$specialExtDir"; \
1343                         fi; \
1344                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1345                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1346                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1347                   done; \
1348                 fi; \
1349         done
1350 # Install java files (.jar)
1351         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1352         echo "-------- Install jar files --------"; \
1353     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1354           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1355                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1356                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1357           done ; \
1358         fi
1359
1360 ########### CLEAN ###################
1361 # Clean help (generated automatically by Scilab)
1362 # It used to clean the macro (clean-macros) but this was causing
1363 # make clean && make to fail Scilab startup
1364 @NEED_JAVA_TRUE@clean-local: clean-java
1365 @NEED_JAVA_FALSE@clean-local:
1366
1367 distclean-local:
1368         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1369
1370 .PHONY: macros java swig giws
1371
1372 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1373 # Otherwise a system limit (for SysV at least) may be exceeded.
1374 .NOEXPORT: